<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetPrice StructType
 * @package Dg
 * @subpackage Structs
 */
class DgGetPrice extends AbstractStructBase
{
    /**
     * The PriceInfoRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgPriceInfoRQ
     */
    public $PriceInfoRQ;
    /**
     * Constructor method for GetPrice
     * @uses DgGetPrice::setPriceInfoRQ()
     * @param \dgsoft\StructType\DgPriceInfoRQ $priceInfoRQ
     */
    public function __construct(\dgsoft\StructType\DgPriceInfoRQ $priceInfoRQ = null)
    {
        $this
            ->setPriceInfoRQ($priceInfoRQ);
    }
    /**
     * Get PriceInfoRQ value
     * @return \dgsoft\StructType\DgPriceInfoRQ|null
     */
    public function getPriceInfoRQ()
    {
        return $this->PriceInfoRQ;
    }
    /**
     * Set PriceInfoRQ value
     * @param \dgsoft\StructType\DgPriceInfoRQ $priceInfoRQ
     * @return \dgsoft\StructType\DgGetPrice
     */
    public function setPriceInfoRQ(\dgsoft\StructType\DgPriceInfoRQ $priceInfoRQ = null)
    {
        $this->PriceInfoRQ = $priceInfoRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgGetPrice
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
